--- old/usr/src/uts/common/io/nvme/nvme.c	sam. juil. 16 15:16:53 2016
+++ new/usr/src/uts/common/io/nvme/nvme.c	sam. juil. 16 15:16:53 2016
@@ -671,7 +671,7 @@
 static int
 nvme_submit_cmd(nvme_qpair_t *qp, nvme_cmd_t *cmd)
 {
-	nvme_reg_sqtdbl_t tail = { 0 };
+	nvme_reg_sqtdbl_t tail = { {0} };
 
 	mutex_enter(&qp->nq_mutex);
 
@@ -711,7 +711,7 @@
 static nvme_cmd_t *
 nvme_retrieve_cmd(nvme_t *nvme, nvme_qpair_t *qp)
 {
-	nvme_reg_cqhdbl_t head = { 0 };
+	nvme_reg_cqhdbl_t head = { {0} };
 
 	nvme_cqe_t *cqe;
 	nvme_cmd_t *cmd;
@@ -1063,7 +1063,7 @@
 {
 	nvme_t *nvme = abort_cmd->nc_nvme;
 	nvme_cmd_t *cmd = nvme_alloc_cmd(nvme, KM_SLEEP);
-	nvme_abort_cmd_t ac = { 0 };
+	nvme_abort_cmd_t ac = { {0} };
 
 	sema_p(&nvme->n_abort_sema);
 
@@ -1556,7 +1556,7 @@
 nvme_set_nqueues(nvme_t *nvme, uint16_t nqueues)
 {
 	nvme_cmd_t *cmd = nvme_alloc_cmd(nvme, KM_SLEEP);
-	nvme_nqueue_t nq = { 0 };
+	nvme_nqueue_t nq = { {0} };
 
 	nq.b.nq_nsq = nq.b.nq_ncq = nqueues;
 
@@ -1594,9 +1594,9 @@
 nvme_create_io_qpair(nvme_t *nvme, nvme_qpair_t *qp, uint16_t idx)
 {
 	nvme_cmd_t *cmd = nvme_alloc_cmd(nvme, KM_SLEEP);
-	nvme_create_queue_dw10_t dw10 = { 0 };
-	nvme_create_cq_dw11_t c_dw11 = { 0 };
-	nvme_create_sq_dw11_t s_dw11 = { 0 };
+	nvme_create_queue_dw10_t dw10 = { {0} };
+	nvme_create_cq_dw11_t c_dw11 = { {0} };
+	nvme_create_sq_dw11_t s_dw11 = { {0} };
 
 	dw10.b.q_qid = idx;
 	dw10.b.q_qsize = qp->nq_nentry - 1;
@@ -1736,8 +1736,8 @@
 static int
 nvme_init(nvme_t *nvme)
 {
-	nvme_reg_cc_t cc = { 0 };
-	nvme_reg_aqa_t aqa = { 0 };
+	nvme_reg_cc_t cc = { {0} };
+	nvme_reg_aqa_t aqa = { {0} };
 	nvme_reg_asq_t asq = { 0 };
 	nvme_reg_acq_t acq = { 0 };
 	nvme_reg_cap_t cap;
